Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 3875)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 3875)
@@ -0,0 +1,100 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  1 - tracer definition                     (namtrc    )
+!!              2 - tracer data initialisation            (namtrc_dta)
+!!              3 - tracer advection                      (namtrc_adv)
+!!              4 - tracer lateral diffusion              (namtrc_ldf)
+!!              5 - tracer vertical physics               (namtrc_zdf)
+!!              6 - tracer newtonian damping              (namtrc_dmp)
+!!              7 - dynamical tracer trends               (namtrc_trd)
+!!              8 - tracer output diagonstics             (namtrc_dia)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namtrc     !   tracers definition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   nn_dttrc      =  1        !  time step frequency for passive sn_tracers      
+   nn_writetrc   =  5475     !  time step frequency for sn_tracer outputs
+   ln_rsttr      = .false.   !  start from a restart file (T) or not (F)
+   nn_rsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
+                             !                  = 1 do not use the value in the restart file
+                             !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. sn_tracer restart name (input)
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. sn_tracer restart name (output)
+   ln_trcdta     =   .true.  !  Initialisation from data input file (T) or not (F)
+   ln_trcdmp     =  .false.  !  add a damping termn (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+!
+   cn_dir        =  './'      !  root directory for the location of the data files
+/
+!-----------------------------------------------------------------------
+&namtrc_adv    !   advection scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcadv_cen2    =  .false.  !  2nd order centered scheme   
+   ln_trcadv_tvd     =  .false.  !  TVD scheme
+   ln_trcadv_muscl   =  .true.   !  MUSCL scheme
+   ln_trcadv_muscl2  =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_trcadv_ubs     =  .false.  !  UBS scheme
+   ln_trcadv_qck     =  .false.  !  QUICKEST scheme
+   ln_trcadv_msc_ups =  .false.  !  use upstream scheme within muscl
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcldf_diff   =  .true.   !  performs lateral diffusion (T) or not (F)
+!                               !  Type of the operator : 
+   ln_trcldf_lap    =  .true.   !     laplacian operator       
+   ln_trcldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_trcldf_level  =  .false.  !     iso-level                
+   ln_trcldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   rn_ahtrc_0       =  2000.    !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtrb_0       =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
+/
+!-----------------------------------------------------------------------
+&namtrc_zdf        !   vertical physics
+!-----------------------------------------------------------------------
+   ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   nn_trczdf_exp   =   3       !  number of sub-timestep for ln_trczdfexp=T
+/
+!-----------------------------------------------------------------------
+&namtrc_rad        !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+   ln_trcrad   =  .true.  !  artificially correct negative concentrations (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp    !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+   nn_hdmp_tr  =   -1      !  horizontal shape =-1, damping in Med and Red Seas only
+                           !                   =XX, damping poleward of XX degrees (XX>0)
+                           !                      + F(distance-to-coast) + Red and Med Seas
+   nn_zdmp_tr  =    1      !  vertical   shape =0    damping throughout the water column
+                           !                   =1 no damping in the mixing layer (kz  criteria)
+                           !                   =2 no damping in the mixed  layer (rho crieria)
+   rn_surf_tr  =   50.     !  surface time scale of damping   [days]
+   rn_bot_tr   =  360.     !  bottom  time scale of damping   [days]
+   rn_dep_tr   =  800.     !  depth of transition between rn_surf and rn_bot [meters]
+   nn_file_tr  =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
+/
+!-----------------------------------------------------------------------
+&namtrc_trd       !   diagnostics on tracer trends        ('key_trdtrc')
+!                          or mixed-layer trends          ('key_trdmld_trc')
+!----------------------------------------------------------------------
+   nn_trd_trc  =  5475      !  time step frequency and tracers trends
+   nn_ctls_trc =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf_trc  =   1        !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_trc_restart = .false.  !  restart for ML diagnostics
+   ln_trdmld_trc_instant = .true.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   ln_trdtrc(1)  =   .true.
+   ln_trdtrc(2)  =   .true.
+   ln_trdtrc(23) =   .true.
+/
+!-----------------------------------------------------------------------
+&namtrc_dia       !   parameters for passive tracer additional diagnostics
+!----------------------------------------------------------------------
+   ln_diatrc     =  .true.   !  save additional diag. (T) or not (F)
+   nn_writedia   =  5475     !  time step frequency for diagnostics
+/
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 3875)
@@ -72,6 +72,8 @@
          &     'use more ocean levels or less ice layers/categories.' )
 
-      !                                ! Open the namelist file 
-      CALL ctl_opn( numnam_ice, 'namelist_ice', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
+      !                                ! Open the reference and configuration namelist files and namelist output file 
+      CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
+      CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
+      CALL ctl_opn( numoni,         'output.namelist.ice', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
       !    
       CALL ice_run_2                   ! read in namelist some run parameters
@@ -111,8 +113,15 @@
       !!-------------------------------------------------------------------
       NAMELIST/namicerun/ cn_icerst_in, cn_icerst_out, ln_limdyn, ln_limdmp, acrit, hsndif, hicdif
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!-------------------------------------------------------------------
       !                    
-      REWIND( numnam_ice )                      ! Read Namelist namicerun 
-      READ  ( numnam_ice , namicerun )
+      REWIND( numnam_ice_ref )              ! Namelist namicerun in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namicerun, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicerun in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namicerun, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in configuration namelist', lwp )
+      WRITE ( numoni, namicerun )
       !
       IF(lwp) THEN                              ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 3875)
@@ -176,11 +176,18 @@
        INTEGER  ::   jv   ! dummy loop indice
        INTEGER  ::   ntot , ndeb, nv, ierr   ! local integer
+       INTEGER  ::   ios                     ! Local integer output status for namelist read
        REAL(wp) ::   zxx0, zxx1              ! local scalars
 
        NAMELIST/namicedia/fmtinf, nfrinf, ninfo, ntmoy
        !!-------------------------------------------------------------------
-
-       REWIND( numnam_ice )                     ! Read Namelist namicedia
-       READ  ( numnam_ice  , namicedia )
+                    
+       REWIND( numnam_ice_ref )              ! Namelist namicedia in reference namelist : Ice diagnostics in ice_evolu
+       READ  ( numnam_ice_ref, namicedia, IOSTAT = ios, ERR = 901)
+901    IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in reference namelist', lwp )
+
+       REWIND( numnam_ice_cfg )              ! Namelist namicedia in configuration namelist : Ice diagnostics in ice_evolu 
+       READ  ( numnam_ice_cfg, namicedia, IOSTAT = ios, ERR = 902 )
+902    IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in configuration namelist', lwp )
+       WRITE ( numoni, namicedia )
        
        IF(lwp) THEN                             ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 3875)
@@ -97,4 +97,5 @@
       INTEGER  :: ji, jj, jk       ! dummy loop indices
       INTEGER  :: irelax, ierror   ! error flag for allocation
+      INTEGER  ::   ios            ! Local integer output status for namelist read
       !
       REAL(wp) :: zdmpmax, zdmpmin, zfactor, zreltim ! temporary scalar
@@ -116,7 +117,13 @@
       sn_hicif = FLD_N( 'ice_damping ', -1       , 'hicif'  ,  .true.    , .true.  ,  'yearly'   ,  ''      ,  ''      )
       sn_frld  = FLD_N( 'ice_damping ', -1       , 'frld'   ,  .true.    , .true.  ,  'yearly'   ,  ''      ,  ''      )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namice_dmp in reference namelist : Ice restoring
+      READ  ( numnam_ice_ref, namice_dmp, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dmp in reference namelist', lwp )
 
-      REWIND( numnam_ice )                !* read in namelist_ice namicedmp
-      READ  ( numnam_ice, namice_dmp )
+      REWIND( numnam_ice_cfg )              ! Namelist  namice_dmp in configuration namelist : Ice restoring
+      READ  ( numnam_ice_cfg, namice_dmp, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dmp in configuration namelist', lwp )
+      WRITE ( numoni, namice_dmp )
       !
       IF ( lwp ) THEN                     !* control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 3875)
@@ -224,4 +224,5 @@
       !! ** input   :   Namelist namicedyn
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicedyn/ epsd, alpha,     &
          &                dm, nbiter, nbitdr, om, resl, cw, angvg, pstar,   &
@@ -229,7 +230,13 @@
          &                nevp, telast,alphaevp
       !!-------------------------------------------------------------------
-
-      REWIND ( numnam_ice )                       ! Read Namelist namicedyn
-      READ   ( numnam_ice  , namicedyn )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namicedyn in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namicedyn, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicedyn in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namicedyn, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in configuration namelist', lwp )
+      WRITE ( numoni, namicedyn )
 
       IF(lwp) THEN                                ! Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 3875)
@@ -163,11 +163,18 @@
       INTEGER :: inum_ice
       INTEGER :: ji,jj
+      INTEGER :: ios                 ! Local integer output status for namelist read
 
       NAMELIST/namiceini/ ln_limini, ttest, hninn, hginn, alinn, &
          &                hnins, hgins, alins
       !!-------------------------------------------------------------------
-      !
-      REWIND ( numnam_ice )               ! Read Namelist namiceini 
-      READ   ( numnam_ice , namiceini )
+                   
+      REWIND( numnam_ice_ref )              ! Namelist namiceini in reference namelist : Ice initial state
+      READ  ( numnam_ice_ref, namiceini, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceini in configuration namelist : Ice initial state
+      READ  ( numnam_ice_cfg, namiceini, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in configuration namelist', lwp )
+      WRITE ( numoni, namiceini )
       !
       IF(lwp) THEN
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 3875)
@@ -530,11 +530,19 @@
       !! ** input   :   Namelist namicether
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicethd/ hmelt , hiccrit, hicmin, hiclim, amax  ,        &
          &                swiqst, sbeta  , parlat, hakspl, hibspl, exld,  &
          &                hakdif, hnzst  , thth  , parsub, alphs
       !!-------------------------------------------------------------------
-      !
-      REWIND( numnam_ice )                  ! read namelist
-      READ  ( numnam_ice , namicethd )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namicethd in reference namelist : Ice thermodynamics
+      READ  ( numnam_ice_ref, namicethd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicethd in configuration namelist : Ice thermodynamics
+      READ  ( numnam_ice_cfg, namicethd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in configuration namelist', lwp )
+      WRITE ( numoni, namicethd )
+
       IF( lk_cpl .AND. parsub /= 0.0 )   CALL ctl_stop( 'In coupled mode, use parsub = 0. or send dqla' )
       !
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 3875)
@@ -297,9 +297,17 @@
       !! ** input   :   Namelist namicetrp
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicetrp/ bound
       !!-------------------------------------------------------------------
-      !
-      REWIND ( numnam_ice )      ! Read Namelist namicetrp
-      READ   ( numnam_ice  , namicetrp )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namicetrp in reference namelist : Ice advection
+      READ  ( numnam_ice_ref, namicetrp, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicetrp in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicetrp in configuration namelist : Ice advection
+      READ  ( numnam_ice_cfg, namicetrp, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicetrp in configuration namelist', lwp )
+      WRITE ( numoni, namicetrp )
+
       IF(lwp) THEN
          WRITE(numout,*)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 3875)
@@ -230,4 +230,5 @@
       !!-------------------------------------------------------------------
       INTEGER ::   nf      ! ???
+      INTEGER ::   ios     ! Local integer output status for namelist read
       TYPE FIELD 
          CHARACTER(len = 35) :: ztitle 
@@ -255,7 +256,13 @@
          CALL ctl_stop( 'STOP', 'lim_wri_init_2 : unable to allocate standard arrays' )   ;   RETURN
       ENDIF
-
-      REWIND ( numnam_ice )                ! Read Namelist namicewri
-      READ   ( numnam_ice  , namiceout )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namiceout in reference namelist : Ice outputs
+      READ  ( numnam_ice_ref, namiceout, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceout in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceout in configuration namelist : Ice outputs
+      READ  ( numnam_ice_cfg, namiceout, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceout in configuration namelist', lwp )
+      WRITE ( numoni, namiceout )
       
       zfield( 1) = field_1
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 3875)
@@ -71,6 +71,8 @@
          &     'use more ocean levels or less ice/snow layers/categories.' )
 
-      !                                ! Open the namelist file 
-      CALL ctl_opn( numnam_ice, 'namelist_ice', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
+                                       ! Open the reference and configuration namelist files and namelist output file 
+      CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
+      CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
+      CALL ctl_opn( numoni,         'output.namelist.ice', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
       !
       CALL ice_run                     ! set some ice run parameters
@@ -127,8 +129,15 @@
       !!-------------------------------------------------------------------
       NAMELIST/namicerun/ cn_icerst_in, cn_icerst_out, ln_limdyn, acrit, hsndif, hicdif, cai, cao, ln_nicep
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!-------------------------------------------------------------------
       !                    
-      REWIND( numnam_ice )                ! Read Namelist namicerun 
-      READ  ( numnam_ice , namicerun )
+      REWIND( numnam_ice_ref )              ! Namelist namicerun in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namicerun, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicerun in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namicerun, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in configuration namelist', lwp )
+      WRITE ( numoni, namicerun )
       !
       IF( lk_mpp .AND. ln_nicep ) THEN
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 3875)
@@ -415,4 +415,5 @@
       INTEGER  ::   jv    ! dummy loop indice
       INTEGER  ::   ierr, ntot , ndeb , irecl   ! local integers
+      INTEGER  ::   ios                         ! Local integer output status for namelist read
       REAL(wp) ::   zxx0, zxx1    ! local scalars
       CHARACTER(len=jpchinf) ::   titinf
@@ -422,6 +423,12 @@
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice )             ! read namicedia namelist
-      READ  ( numnam_ice, namicedia )
+      REWIND( numnam_ice_ref )              ! Namelist namicedia in reference namelist : Ice diagnostics in ice_evolu
+      READ  ( numnam_ice_ref, namicedia, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicedia in configuration namelist : Ice diagnostics in ice_evolu 
+      READ  ( numnam_ice_cfg, namicedia, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in configuration namelist', lwp )
+      WRITE ( numoni, namicedia )
       !
       IF(lwp) THEN                     ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 3875)
@@ -226,4 +226,5 @@
       !! ** input   :   Namelist namicedyn
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicedyn/ epsd, alpha,     &
          &                dm, nbiter, nbitdr, om, resl, cw, angvg, pstar,   &
@@ -232,6 +233,12 @@
       !!-------------------------------------------------------------------
 
-      REWIND( numnam_ice )                ! Read Namelist namicedyn
-      READ  ( numnam_ice  , namicedyn )
+      REWIND( numnam_ice_ref )              ! Namelist namicedyn in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namicedyn, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicedyn in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namicedyn, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in configuration namelist', lwp )
+      WRITE ( numoni, namicedyn )
       
       IF(lwp) THEN                        ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 3875)
@@ -536,10 +536,17 @@
       !! ** input  :   namelist namiceini
       !!-----------------------------------------------------------------------------
+      INTEGER :: ios                 ! Local integer output status for namelist read
       NAMELIST/namiceini/ ttest, hninn, hginn_u, aginn_u, hginn_d, aginn_d, hnins,   &
          &                hgins_u, agins_u, hgins_d, agins_d, sinn, sins
       !!-----------------------------------------------------------------------------
       !
-      REWIND ( numnam_ice )               ! Read Namelist namiceini 
-      READ   ( numnam_ice , namiceini )
+      REWIND( numnam_ice_ref )              ! Namelist namiceini in reference namelist : Ice initial state
+      READ  ( numnam_ice_ref, namiceini, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceini in configuration namelist : Ice initial state
+      READ  ( numnam_ice_cfg, namiceini, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in configuration namelist', lwp )
+      WRITE ( numoni, namiceini )
       !
       IF(lwp) THEN                        ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 3875)
@@ -1409,4 +1409,5 @@
       !! ** input   :   Namelist namiceitdme
       !!-------------------------------------------------------------------
+      INTEGER :: ios                 ! Local integer output status for namelist read
       NAMELIST/namiceitdme/ ridge_scheme_swi, Cs, Cf, fsnowrdg, fsnowrft,& 
          Gstar, astar,                                &
@@ -1416,6 +1417,12 @@
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice )                   ! read namiceitdme namelist
-      READ  ( numnam_ice , namiceitdme)
+      REWIND( numnam_ice_ref )              ! Namelist namicetdme in reference namelist : Ice mechanical ice redistribution
+      READ  ( numnam_ice_ref, namiceitdme, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceitdme in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceitdme in configuration namelist : Ice mechanical ice redistribution
+      READ  ( numnam_ice_cfg, namiceitdme, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceitdme in configuration namelist', lwp )
+      WRITE ( numoni, namiceitdme )
       !
       IF (lwp) THEN                          ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 3875)
@@ -791,4 +791,5 @@
       !! ** input   :   Namelist namicether
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicethd/ hmelt , hiccrit, fraz_swi, maxfrazb, vfrazb, Cfrazb,   &
          &                hicmin, hiclim, amax  ,                                &
@@ -804,6 +805,12 @@
       ENDIF
       !
-      REWIND( numnam_ice )                  ! read Namelist numnam_ice
-      READ  ( numnam_ice , namicethd )
+      REWIND( numnam_ice_ref )              ! Namelist namicethd in reference namelist : Ice thermodynamics
+      READ  ( numnam_ice_ref, namicethd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicethd in configuration namelist : Ice thermodynamics
+      READ  ( numnam_ice_cfg, namicethd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in configuration namelist', lwp )
+      WRITE ( numoni, namicethd )
       !
       IF(lwp) THEN                          ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 3875)
@@ -203,10 +203,17 @@
       !! ** input   :   Namelist namicesal
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicesal/ num_sal, bulk_sal, sal_G, time_G, sal_F, time_F,   &
          &                s_i_max, s_i_min, s_i_0, s_i_1
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice )                   ! Read Namelist namicesal
-      READ  ( numnam_ice  , namicesal )
+      REWIND( numnam_ice_ref )              ! Namelist namicesal in reference namelist : Ice salinity
+      READ  ( numnam_ice_ref, namicesal, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicesal in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicesal in configuration namelist : Ice salinity
+      READ  ( numnam_ice_cfg, namicesal, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicesal in configuration namelist', lwp )
+      WRITE ( numoni, namicesal )
       !
       IF(lwp) THEN                           ! control print
